Upstream information

CVE-2015-7674 at MITRE

Description

Integer overflow in the pixops_scale_nearest function in pixops/pixops.c in gdk-pixbuf before 2.32.1 allows remote attackers to cause a denial of service (application crash) and possibly execute arbitrary code via a crafted GIF image file, which triggers a heap-based buffer overflow.

SUSE information

Overall state of this security issue: Running

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 6.8
Vector AV:N/AC:M/Au:N/C:P/I:P/A:P
Access Vector Network
Access Complexity Medium
Authentication None
Confidentiality Impact Partial
Integrity Impact Partial
Availability Impact Partial
SUSE Bugzilla entry: 948791 [IN_PROGRESS]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Desktop 11 SP3
  • gtk2 >= 2.18.9-0.35.1
  • gtk2-32bit >= 2.18.9-0.35.1
  • gtk2-lang >= 2.18.9-0.35.1
Patchnames:
sledsp3-gtk2-12146
SUSE Linux Enterprise Desktop 11 SP4
  • gtk2 >= 2.18.9-0.35.1
  • gtk2-32bit >= 2.18.9-0.35.1
  • gtk2-lang >= 2.18.9-0.35.1
Patchnames:
sledsp4-gtk2-12146
SUSE Linux Enterprise Desktop 12
  • gdk-pixbuf >= 2.30.6-7.2
  • gdk-pixbuf-lang >= 2.30.6-7.2
  • gdk-pixbuf-query-loaders >= 2.30.6-7.2
  • gdk-pixbuf-query-loaders-32bit >= 2.30.6-7.2
  • libgdk_pixbuf-2_0-0 >= 2.30.6-7.2
  • libgdk_pixbuf-2_0-0-32bit >= 2.30.6-7.2
  • typelib-1_0-GdkPixbuf-2_0 >= 2.30.6-7.2
Patchnames:
SUSE-SLE-DESKTOP-12-2015-946
SUSE Linux Enterprise Desktop 12 SP1
  • gdk-pixbuf >= 2.30.6-7.2
  • gdk-pixbuf-lang >= 2.30.6-7.2
  • gdk-pixbuf-query-loaders >= 2.30.6-7.2
  • gdk-pixbuf-query-loaders-32bit >= 2.30.6-7.2
  • libgdk_pixbuf-2_0-0 >= 2.30.6-7.2
  • libgdk_pixbuf-2_0-0-32bit >= 2.30.6-7.2
  • typelib-1_0-GdkPixbuf-2_0 >= 2.30.6-7.2
Patchnames:
SUSE-SLE-DESKTOP-12-SP1-2015-946
SUSE Linux Enterprise Desktop 12 SP2
  • gdk-pixbuf-lang >= 2.34.0-16.2
  • gdk-pixbuf-query-loaders >= 2.34.0-16.2
  • gdk-pixbuf-query-loaders-32bit >= 2.34.0-16.2
  • libgdk_pixbuf-2_0-0 >= 2.34.0-16.2
  • libgdk_pixbuf-2_0-0-32bit >= 2.34.0-16.2
  • typelib-1_0-GdkPixbuf-2_0 >= 2.34.0-16.2
Patchnames:
SUSE Linux Enterprise Desktop 12 SP2 GA gdk-pixbuf-lang
SUSE Linux Enterprise Desktop 12 SP3
  • gdk-pixbuf-lang >= 2.34.0-18.1
  • gdk-pixbuf-query-loaders >= 2.34.0-18.1
  • gdk-pixbuf-query-loaders-32bit >= 2.34.0-18.1
  • libgdk_pixbuf-2_0-0 >= 2.34.0-18.1
  • libgdk_pixbuf-2_0-0-32bit >= 2.34.0-18.1
  • typelib-1_0-GdkPixbuf-2_0 >= 2.34.0-18.1
Patchnames:
SUSE Linux Enterprise Desktop 12 SP3 GA gdk-pixbuf-lang
SUSE Linux Enterprise Module for Basesystem 15
  • gdk-pixbuf-devel >= 2.36.11-3.19
  • gdk-pixbuf-lang >= 2.36.11-3.19
  • gdk-pixbuf-query-loaders >= 2.36.11-3.19
  • gdk-pixbuf-thumbnailer >= 2.36.11-3.19
  • libgdk_pixbuf-2_0-0 >= 2.36.11-3.19
  • typelib-1_0-GdkPixbuf-2_0 >= 2.36.11-3.19
Patchnames:
SUSE Linux Enterprise Module for Basesystem 15 GA gdk-pixbuf-devel
SUSE Linux Enterprise Module for Desktop Applications 15
  • gdk-pixbuf-query-loaders-32bit >= 2.36.11-3.19
  • libgdk_pixbuf-2_0-0-32bit >= 2.36.11-3.19
Patchnames:
SUSE Linux Enterprise Module for Desktop Applications 15 GA gdk-pixbuf-query-loaders-32bit
SUSE Linux Enterprise Server 11 SP3
  • gtk2 >= 2.18.9-0.35.1
  • gtk2-32bit >= 2.18.9-0.35.1
  • gtk2-doc >= 2.18.9-0.35.1
  • gtk2-lang >= 2.18.9-0.35.1
  • gtk2-x86 >= 2.18.9-0.35.1
Patchnames:
slessp3-gtk2-12146
SUSE Linux Enterprise Server 11 SP4
  • gtk2 >= 2.18.9-0.35.1
  • gtk2-32bit >= 2.18.9-0.35.1
  • gtk2-doc >= 2.18.9-0.35.1
  • gtk2-lang >= 2.18.9-0.35.1
  • gtk2-x86 >= 2.18.9-0.35.1
Patchnames:
slessp4-gtk2-12146
SUSE Linux Enterprise Server 12
  • gdk-pixbuf >= 2.30.6-7.2
  • gdk-pixbuf-lang >= 2.30.6-7.2
  • gdk-pixbuf-query-loaders >= 2.30.6-7.2
  • gdk-pixbuf-query-loaders-32bit >= 2.30.6-7.2
  • libgdk_pixbuf-2_0-0 >= 2.30.6-7.2
  • libgdk_pixbuf-2_0-0-32bit >= 2.30.6-7.2
  • typelib-1_0-GdkPixbuf-2_0 >= 2.30.6-7.2
Patchnames:
SUSE-SLE-SERVER-12-2015-946
SUSE Linux Enterprise Server 12 SP1
  • gdk-pixbuf >= 2.30.6-7.2
  • gdk-pixbuf-lang >= 2.30.6-7.2
  • gdk-pixbuf-query-loaders >= 2.30.6-7.2
  • gdk-pixbuf-query-loaders-32bit >= 2.30.6-7.2
  • libgdk_pixbuf-2_0-0 >= 2.30.6-7.2
  • libgdk_pixbuf-2_0-0-32bit >= 2.30.6-7.2
  • typelib-1_0-GdkPixbuf-2_0 >= 2.30.6-7.2
Patchnames:
SUSE-SLE-SERVER-12-SP1-2015-946
SUSE Linux Enterprise Server 12 SP2
  • gdk-pixbuf-lang >= 2.34.0-16.2
  • gdk-pixbuf-query-loaders >= 2.34.0-16.2
  • gdk-pixbuf-query-loaders-32bit >= 2.34.0-16.2
  • libgdk_pixbuf-2_0-0 >= 2.34.0-16.2
  • libgdk_pixbuf-2_0-0-32bit >= 2.34.0-16.2
  • typelib-1_0-GdkPixbuf-2_0 >= 2.34.0-16.2
Patchnames:
SUSE Linux Enterprise Server 12 SP2 GA gdk-pixbuf-lang
SUSE Linux Enterprise Server 12 SP3
  • gdk-pixbuf-lang >= 2.34.0-18.1
  • gdk-pixbuf-query-loaders >= 2.34.0-18.1
  • gdk-pixbuf-query-loaders-32bit >= 2.34.0-18.1
  • libgdk_pixbuf-2_0-0 >= 2.34.0-18.1
  • libgdk_pixbuf-2_0-0-32bit >= 2.34.0-18.1
  • typelib-1_0-GdkPixbuf-2_0 >= 2.34.0-18.1
Patchnames:
SUSE Linux Enterprise Server 12 SP3 GA gdk-pixbuf-lang
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2
  • gdk-pixbuf-lang >= 2.34.0-16.2
  • gdk-pixbuf-query-loaders >= 2.34.0-16.2
  • libgdk_pixbuf-2_0-0 >= 2.34.0-16.2
  • typelib-1_0-GdkPixbuf-2_0 >= 2.34.0-16.2
Patchnames:
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2 GA gdk-pixbuf-lang
SUSE Linux Enterprise Server for SAP Applications 11 SP3
  • gtk2 >= 2.18.9-0.35.1
  • gtk2-32bit >= 2.18.9-0.35.1
  • gtk2-doc >= 2.18.9-0.35.1
  • gtk2-lang >= 2.18.9-0.35.1
  • gtk2-x86 >= 2.18.9-0.35.1
Patchnames:
slessp3-gtk2-12146
SUSE Linux Enterprise Server for SAP Applications 11 SP4
  • gtk2 >= 2.18.9-0.35.1
  • gtk2-32bit >= 2.18.9-0.35.1
  • gtk2-doc >= 2.18.9-0.35.1
  • gtk2-lang >= 2.18.9-0.35.1
  • gtk2-x86 >= 2.18.9-0.35.1
Patchnames:
slessp4-gtk2-12146
SUSE Linux Enterprise Server for SAP Applications 12
  • gdk-pixbuf >= 2.30.6-7.2
  • gdk-pixbuf-lang >= 2.30.6-7.2
  • gdk-pixbuf-query-loaders >= 2.30.6-7.2
  • gdk-pixbuf-query-loaders-32bit >= 2.30.6-7.2
  • libgdk_pixbuf-2_0-0 >= 2.30.6-7.2
  • libgdk_pixbuf-2_0-0-32bit >= 2.30.6-7.2
  • typelib-1_0-GdkPixbuf-2_0 >= 2.30.6-7.2
Patchnames:
SUSE-SLE-SERVER-12-2015-946
SUSE Linux Enterprise Server for SAP Applications 12 SP1
  • gdk-pixbuf >= 2.30.6-7.2
  • gdk-pixbuf-lang >= 2.30.6-7.2
  • gdk-pixbuf-query-loaders >= 2.30.6-7.2
  • gdk-pixbuf-query-loaders-32bit >= 2.30.6-7.2
  • libgdk_pixbuf-2_0-0 >= 2.30.6-7.2
  • libgdk_pixbuf-2_0-0-32bit >= 2.30.6-7.2
  • typelib-1_0-GdkPixbuf-2_0 >= 2.30.6-7.2
Patchnames:
SUSE-SLE-SERVER-12-SP1-2015-946
SUSE Linux Enterprise Server for VMWare 11 SP3
  • gtk2 >= 2.18.9-0.35.1
  • gtk2-32bit >= 2.18.9-0.35.1
  • gtk2-doc >= 2.18.9-0.35.1
  • gtk2-lang >= 2.18.9-0.35.1
  • gtk2-x86 >= 2.18.9-0.35.1
Patchnames:
slessp3-gtk2-12146
SUSE Linux Enterprise Software Development Kit 11 SP3
  • gtk2 >= 2.18.9-0.35.1
  • gtk2-devel >= 2.18.9-0.35.1
  • gtk2-devel-32bit >= 2.18.9-0.35.1
Patchnames:
sdksp3-gtk2-12146
SUSE Linux Enterprise Software Development Kit 11 SP4
  • gtk2 >= 2.18.9-0.35.1
  • gtk2-devel >= 2.18.9-0.35.1
  • gtk2-devel-32bit >= 2.18.9-0.35.1
Patchnames:
sdksp4-gtk2-12146
SUSE Linux Enterprise Software Development Kit 12
  • gdk-pixbuf >= 2.30.6-7.2
  • gdk-pixbuf-devel >= 2.30.6-7.2
Patchnames:
SUSE-SLE-SDK-12-2015-946
SUSE Linux Enterprise Software Development Kit 12 SP1
  • gdk-pixbuf >= 2.30.6-7.2
  • gdk-pixbuf-devel >= 2.30.6-7.2
Patchnames:
SUSE-SLE-SDK-12-SP1-2015-946
SUSE Linux Enterprise Software Development Kit 12 SP2
  • gdk-pixbuf-devel >= 2.34.0-16.2
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 SP2 GA gdk-pixbuf-devel
SUSE Linux Enterprise Software Development Kit 12 SP3
  • gdk-pixbuf-devel >= 2.34.0-18.1
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 SP3 GA gdk-pixbuf-devel
openSUSE Leap 15.0
  • gdk-pixbuf-lang >= 2.36.11-lp150.3.4
  • gdk-pixbuf-query-loaders >= 2.36.11-lp150.3.4
  • gdk-pixbuf-thumbnailer >= 2.36.11-lp150.3.4
  • libgdk_pixbuf-2_0-0 >= 2.36.11-lp150.3.4
  • typelib-1_0-GdkPixbuf-2_0 >= 2.36.11-lp150.3.4
Patchnames:
openSUSE Leap 15.0 GA gdk-pixbuf-lang
openSUSE Leap 42.1
  • gdk-pixbuf >= 2.31.6-4.1
  • gdk-pixbuf-debugsource >= 2.31.6-4.1
  • gdk-pixbuf-devel >= 2.31.6-4.1
  • gdk-pixbuf-devel-32bit >= 2.31.6-4.1
  • gdk-pixbuf-devel-debuginfo >= 2.31.6-4.1
  • gdk-pixbuf-devel-debuginfo-32bit >= 2.31.6-4.1
  • gdk-pixbuf-lang >= 2.31.6-4.1
  • gdk-pixbuf-query-loaders >= 2.31.6-4.1
  • gdk-pixbuf-query-loaders-32bit >= 2.31.6-4.1
  • gdk-pixbuf-query-loaders-debuginfo >= 2.31.6-4.1
  • gdk-pixbuf-query-loaders-debuginfo-32bit >= 2.31.6-4.1
  • libgdk_pixbuf-2_0-0 >= 2.31.6-4.1
  • libgdk_pixbuf-2_0-0-32bit >= 2.31.6-4.1
  • libgdk_pixbuf-2_0-0-debuginfo >= 2.31.6-4.1
  • libgdk_pixbuf-2_0-0-debuginfo-32bit >= 2.31.6-4.1
  • typelib-1_0-GdkPixbuf-2_0 >= 2.31.6-4.1
Patchnames:
openSUSE-2016-669
openSUSE Leap 42.2
  • gdk-pixbuf-devel >= 2.34.0-3.2
  • gdk-pixbuf-lang >= 2.34.0-3.2
  • gdk-pixbuf-query-loaders >= 2.34.0-3.2
  • gdk-pixbuf-query-loaders-32bit >= 2.34.0-3.2
  • libgdk_pixbuf-2_0-0 >= 2.34.0-3.2
  • libgdk_pixbuf-2_0-0-32bit >= 2.34.0-3.2
  • typelib-1_0-GdkPixbuf-2_0 >= 2.34.0-3.2
Patchnames:
openSUSE Leap 42.2 GA gdk-pixbuf-devel
openSUSE Leap 42.3
  • gdk-pixbuf-devel >= 2.34.0-8.4
  • gdk-pixbuf-lang >= 2.34.0-8.4
  • gdk-pixbuf-query-loaders >= 2.34.0-8.4
  • gdk-pixbuf-query-loaders-32bit >= 2.34.0-8.4
  • libgdk_pixbuf-2_0-0 >= 2.34.0-8.4
  • libgdk_pixbuf-2_0-0-32bit >= 2.34.0-8.4
  • typelib-1_0-GdkPixbuf-2_0 >= 2.34.0-8.4
Patchnames:
openSUSE Leap 42.3 GA gdk-pixbuf-devel
openSUSE Tumbleweed
  • gdk-pixbuf-devel >= 2.36.0-1.1
  • gdk-pixbuf-devel-32bit >= 2.36.0-1.1
  • gdk-pixbuf-lang >= 2.36.0-1.1
  • gdk-pixbuf-query-loaders >= 2.36.0-1.1
  • gdk-pixbuf-query-loaders-32bit >= 2.36.0-1.1
  • libgdk_pixbuf-2_0-0 >= 2.36.0-1.1
  • libgdk_pixbuf-2_0-0-32bit >= 2.36.0-1.1
  • typelib-1_0-GdkPixbuf-2_0 >= 2.36.0-1.1
Patchnames:
openSUSE Tumbleweed GA gdk-pixbuf-devel


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SUSE Linux Enterprise Desktop 10 SP3 gdk-pixbuf Released
SUSE Linux Enterprise Desktop 10 SP4 gdk-pixbuf Released
SUSE Linux Enterprise Desktop 11 SP3 gdk-pixbuf Affected
SUSE Linux Enterprise Desktop 11 SP4 gdk-pixbuf Affected
SUSE Linux Enterprise Desktop 12 GA gdk-pixbuf Released
SUSE Linux Enterprise Desktop 12 SP1 gdk-pixbuf Released
SUSE Linux Enterprise SDK 11 SP3 gdk-pixbuf Affected
SUSE Linux Enterprise SDK 11 SP4 gdk-pixbuf In progress
SUSE Linux Enterprise SDK 12 GA gdk-pixbuf Released
SUSE Linux Enterprise SDK 12 SP1 gdk-pixbuf Released
SUSE Linux Enterprise Server 10 SP3 gdk-pixbuf Released
SUSE Linux Enterprise Server 10 SP4 gdk-pixbuf Released
SUSE Linux Enterprise Server 10 SP4 LTSS gdk-pixbuf Released
SUSE Linux Enterprise Server 12 GA gdk-pixbuf Released
SUSE Linux Enterprise Server 12 SP1 gdk-pixbuf Released